## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate rustyline

Name:           rust-rustyline
Version:        8.2.0
Release:        %autorelease
Summary:        Readline implementation based on Antirez's Linenoise

License:        MIT
URL:            https://crates.io/crates/rustyline
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          rustyline-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rustyline, a readline implementation based on Antirez's Linenoise.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/BUGS.md
%doc %{crate_instdir}/CustomBinding.md
%doc %{crate_instdir}/History.md
%doc %{crate_instdir}/Incremental.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/TODO.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dirs-next-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dirs-next-devel %{_description}

This package contains library source intended for building other packages which
use the "dirs-next" feature of the "%{crate}" crate.

%files       -n %{name}+dirs-next-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+skim-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+skim-devel %{_description}

This package contains library source intended for building other packages which
use the "skim" feature of the "%{crate}" crate.

%files       -n %{name}+skim-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-dirs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-dirs-devel %{_description}

This package contains library source intended for building other packages which
use the "with-dirs" feature of the "%{crate}" crate.

%files       -n %{name}+with-dirs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-fuzzy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-fuzzy-devel %{_description}

This package contains library source intended for building other packages which
use the "with-fuzzy" feature of the "%{crate}" crate.

%files       -n %{name}+with-fuzzy-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May 21 2023 Fabio Valentini <decathorpe@gmail.com> - 8.2.0-7
- Regenerate with rust2rpm v24

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 25 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 8.2.0-1
- Update to version 8.2.0.
- Fixes RHBZ#1900328

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Oct 09 2020 Fabio Valentini <decathorpe@gmail.com> - 6.3.0-1
- Update to version 6.3.0.

* Wed Sep 09 2020 Fabio Valentini <decathorpe@gmail.com> - 6.2.0-1
- Update to version 6.2.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 6.1.2-1
- Update to 6.1.2

* Mon Apr 13 2020 Fabio Valentini <decathorpe@gmail.com> - 6.1.1-1
- Update to version 6.1.1.

* Fri Apr 03 2020 Fabio Valentini <decathorpe@gmail.com> - 6.1.0-1
- Update to version 6.1.0.

* Sun Feb 02 2020 Fabio Valentini <decathorpe@gmail.com> - 6.0.0-1
- Initial package

